%global srcname qt-material

Name:           python-%{srcname}
Version:        2.14
Release:        %autorelease
Summary:        Material inspired stylesheet for PySide2, PySide6, PyQt5 and PyQt6

License:        BSD-2-Clause
URL:            https://pypi.org/project/qt-material/
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Qt-Material is a stylesheet for PySide6, PySide2, PyQt5 and PyQt6, which looks
like Material Design (close enough).}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qt_material

%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
%autochangelog
